Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query.larq
Class IndexBuilderLiteral

    java.lang.Object
      com.hp.hpl.jena.rdf.listeners.StatementListener
          com.hp.hpl.jena.query.larq.IndexBuilderModel
              com.hp.hpl.jena.query.larq.IndexBuilderLiteral

All Implemented Interfaces:
  com.hp.hpl.jena.rdf.model.ModelChangedListener

Direct Known Subclasses:
  IndexBuilderString

    public abstract class IndexBuilderLiteral

extends IndexBuilderModel

Base class for indexing literals (i.e. index is a literal and the index returns the literal)

Constructor Summary
`IndexBuilderLiteral()`
`IndexBuilderLiteral(java.io.File fileDir)`
`IndexBuilderLiteral(org.apache.lucene.index.IndexWriter existingWriter)`
`IndexBuilderLiteral(java.lang.String fileDir)`

Method Summary
`void` | `closeForWriting()` Deprecated. Use `IndexBuilderModel.closeWriter()` or `IndexBuilderModel.flushWriter()`.
`void` | `closeWriter()` Close the index - no more updates possible
`void` | `indexStatement(com.hp.hpl.jena.rdf.model.Statement s)` Update index based on one statement
`void` | `unindexStatement(com.hp.hpl.jena.rdf.model.Statement s)` Remove index information

Methods inherited from class com.hp.hpl.jena.query.larq.IndexBuilderModel
`addedStatement, flushWriter, getIndex, indexStatements, removedStatement`

Methods inherited from class com.hp.hpl.jena.rdf.listeners.StatementListener
`addedStatements, addedStatements, addedStatements, addedStatements, notifyEvent, removedStatements, removedStatements, removedStatements, removedStatements`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexBuilderLiteral

    public IndexBuilderLiteral()

### IndexBuilderLiteral

    public IndexBuilderLiteral(org.apache.lucene.index.IndexWriter existingWriter)

### IndexBuilderLiteral

    public IndexBuilderLiteral(java.io.File fileDir)

### IndexBuilderLiteral

    public IndexBuilderLiteral(java.lang.String fileDir)

Method Detail

### unindexStatement

    public void unindexStatement(com.hp.hpl.jena.rdf.model.Statement s)

  Description copied from class: `IndexBuilderModel`
  Remove index information

  Overrides:
    `unindexStatement` in class `IndexBuilderModel`

### indexStatement

    public void indexStatement(com.hp.hpl.jena.rdf.model.Statement s)

  Description copied from class: `IndexBuilderModel`
  Update index based on one statement

  Specified by:
    `indexStatement` in class `IndexBuilderModel`

### closeForWriting

    public void closeForWriting()

  Deprecated. Use `IndexBuilderModel.closeWriter()` or `IndexBuilderModel.flushWriter()`.

  Description copied from class: `IndexBuilderModel`
  Finish indexing

  Overrides:
    `closeForWriting` in class `IndexBuilderModel`

### closeWriter

    public void closeWriter()

  Close the index - no more updates possible

  Overrides:
    `closeWriter` in class `IndexBuilderModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP